미디어위키:Common.css

Cat (토론 | 기여)님의 2024년 11월 28일 (목) 19:48 판

참고: 설정을 저장한 후에 바뀐 점을 확인하기 위해서는 브라우저의 캐시를 새로 고쳐야 합니다.

  • 파이어폭스 / 사파리: Shift 키를 누르면서 새로 고침을 클릭하거나, Ctrl-F5 또는 Ctrl-R을 입력 (Mac에서는 ⌘-R)
  • 구글 크롬: Ctrl-Shift-R키를 입력 (Mac에서는 ⌘-Shift-R)
  • 인터넷 익스플로러 / 엣지: Ctrl 키를 누르면서 새로 고침을 클릭하거나, Ctrl-F5를 입력.
  • 오페라: Ctrl-F5를 입력.
/* 이 CSS 설정은 모든 스킨에 적용됩니다 */

/* ReferenceTooltip 스타일 로드 */
@import url('//en.wikipedia.org/w/index.php?title=MediaWiki:Gadget-ReferenceTooltips.css&action=raw&ctype=text/css');

.no-link-style a {
  text-decoration: none; /* 링크 밑줄 제거 */
  color: inherit; /* 부모 요소의 색상 사용 */
}

.nolinkstyle a {
    text-decoration: none; /* 링크 밑줄 제거 */
    color: inherit; /* 부모 요소의 색상 사용 */
}

.custom-toggle {
    cursor: pointer;
}

.custom-content {
    display: none; /* 초기 상태는 접힘 */
    overflow: hidden; /* 콘텐츠가 접힐 때 내용이 보이지 않도록 설정 */
    transition: max-height 0.5s ease; /* 부드러운 크기 변경 */
}

.custom-content.expanded {
    display: block;
    max-height: 1000px; /* 충분히 큰 값으로 설정 (컨텐츠 최대 높이 예상) */
}

.toggle-collapse {
    cursor: pointer;
    display: inline; /* 인라인 요소로 설정하여 불필요한 줄바꿈 방지 */
    padding: 0; /* 내부 여백 제거 */
    margin: 0; /* 외부 여백 제거 */
    line-height: 1; /* 텍스트 높이와 동일하게 설정 */
    font-size: inherit; /* 부모 요소의 폰트 크기와 동일하게 설정 */
    vertical-align: middle; /* 부모 텍스트와 동일한 수직 정렬 */
}